## gnukhata-core 5.50

=== requirements.txt ===

    psycopg2
    sqlalchemy
    monthdelta
    pyjwt
    pycryptodome
    supervisor
    natsort

## gnukhata-core 5.25

=== debian/changelog ===
gnukhata-core (5.25-1) unstable; urgency=medium

  * Initial release (Closes: #910085)
  * This package is Python2 as was gnukhata-core-engine. Upstream has no plan
    to make a Python3 version, but we intend to raise the question and we hope
    a Python3 release will appear before the end of life of Python2 in Debian.
    In the meantime, it's better to have an up-to-date release of
    gnukhata-core.

 -- Manas Kashyap <manaskashyaptech@gmail.com>  Sun, 07 Oct 2018 19:47:48 +0200

=== debian/control ===
Source: gnukhata-core
Section: misc
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Manas Kashyap <manaskashyaptech@gmail.com>,
           Shanavas M <shanavas@disroot.org>
Build-Depends: debhelper (>= 11),
               dh-exec,
               dh-python,
               python-all,
               python-pyramid,
               python-requests,
               python-setuptools,
               python-sqlalchemy,
               python-wsgicors
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/python-team/modules/gnukhata-core.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/gnukhata-core
Homepage: http://gnukhata.in

Package: gnukhata-core
Architecture: all
Pre-Depends: adduser,
             dbconfig-common,
             postgresql-client
Depends: postgresql,
         python-dateutil,
         python-psycopg2,
         python-pyramid,
         python-requests,
         python-setuptools,
         python-sqlalchemy,
         python-tk,
         python-twisted,
         python-twisted-web,
         python-wsgicors,
         ${misc:Depends},
         ${python:Depends}
Description: Free Accounting Software (Core Engine)
 GNUKhata is a Free Accounting Software which can be deployed by both
 profit making and non-profit making organisations.
 .
 The advantages of GNUKhata are
 .
  - It is lightweight and scales up with large volumes of data
  - It is robust and can be used on a wide variety of data categories
  - It is modular, thus facilitating addition of extensions for different tasks
  - The user interface is designed to be intuitive and friendly even for
    beginners
  - The reports are displayed on browser and can be printed or saved to PDF
  - Deployers will find the implementation easy to achieve.

## gnukhata-core 5.50

=== debian/changelog ===
gnukhata-core (5.50-1) unstable; urgency=medium

  * New upstream release

 -- Manas Kashyap <manaskashyaptech@gmail.com>  Sat, 05 Jan 2019 15:12:09 +0000

gnukhata-core (5.25-2) unstable; urgency=medium

  * gnukhata-core breaks/replaces gnukhata-core-engine. (Closes: #914679)
  * Bump Standards-Version to 4.3.0

 -- Manas Kashyap <manaskashyaptech@gmail.com>  Tue, 01 Jan 2019 16:47:36 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python-setuptools,
                python-sqlalchemy,
                python-wsgicors
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/gnukhata-core.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/gnukhata-core
 Homepage: http://gnukhata.in
@@ -36,6 +36,8 @@
          python-wsgicors,
          ${misc:Depends},
          ${python:Depends}
+Breaks: gnukhata-core-engine
+Replaces: gnukhata-core-engine
 Description: Free Accounting Software (Core Engine)
  GNUKhata is a Free Accounting Software which can be deployed by both
  profit making and non-profit making organisations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2 --buildsystem=pybuild


clean:
	dh clean
	rm -rf build
	rm -rf .pybuild
	rm -rf gkcore.egg-info

=== debian/watch ===
version=4
https://gitlab.com/gnukhata/gkcore/tags .*/gkcore-(.*).tar.gz
